import 'package:flutter/material.dart';
import '../../../l10n/app_localizations.dart';

/// Barre de titre de la liste du Pokédex.
class PokedexListHeader extends StatelessWidget {
  const PokedexListHeader({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(horizontal: 16.0, vertical: 12.0),
      color: const Color(0xFF90A4AE),
      alignment: Alignment.center,
      child: Text(AppLocalizations.of(context)!.listNational,
          style: const TextStyle(fontSize: 24, fontWeight: FontWeight.bold, letterSpacing: 2)),
    );
  }
}
